# Flow (Hosted Solution)

**ComplyCube Flow** is a secure, fully customizable, hosted KYC and identity verification page that lets you verify your clients quickly, with minimal code.

‌By simply initiating a **Flow session**, you create a unique ComplyCube URL address to redirect your clients to complete identity verification. Once complete, your clients will be redirected to your chosen URL.

The checks and stages undertaken as part of a Flow session are fully customizable.

A Flow session **expires** once a client completes the identity verification process or **14 days** after initialization.

The API allows you to create a session.

{% hint style="info" %}
You can add your color scheme and logos to the hosted page through the [brand settings page](https://portal.complycube.com/settings/branding).
{% endhint %}

[Learn more about ComplyCube Flow](https://docs.complycube.com/documentation/guides/hosted-solution-quick-guide)

## The Session object

<table><thead><tr><th width="214.23208191126278">Attribute</th><th width="111.04175107149712">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>redirectUrl</code></td><td>string</td><td>The unique URL to redirect your client to.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/other-resources/hosted-solution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
